
Redmine - Defect #807

HTML not escaped in ticket descriptions

2008-03-07 13:09 - David Förster

Status: Closed Start date: 2008-03-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

HTML Tags are not escaped in ticket comments.

Related issues:

Related to Redmine - Feature #20497: Markdown formatting supporting HTML Closed

Related to Redmine - Feature #23717: Allow HTML View in description diff Closed

Associated revisions

Revision 1216 - 2008-03-09 12:47 - Jean-Philippe Lang

Textile formatting:

escape html tags, except pre tags (#807, #795)

try to avoid unwanted quick phrase modifiers

History

#1 - 2008-03-07 16:36 - Rocco Stanzione

I think this is a have-your-cake-and-eat-it-too scenario.  Issue descriptions are textilized so they can be formatted, and part of that is accepting HTML

as-is.  You should probably put any HTML in the descriptions (that you don't want interpreted by browsers) into a 

tag.

#2 - 2008-03-07 17:06 - Jean-Philippe Lang

Actually, HTML is escaped here on redmine.org (eg. <h1>Redmine</h1>) except pre tags used for preformatted text.

I'll commit this change.

#3 - 2008-03-09 14:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r1216 (only pre tags are not escaped).

#4 - 2015-08-08 10:22 - Go MAEDA

- Related to Feature #20497: Markdown formatting supporting HTML added

#5 - 2019-09-17 09:55 - Go MAEDA

- Related to Feature #23717: Allow HTML View in description diff added

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/1216
http://www.tcpdf.org

